Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/C14/trcatm_c14.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/C14/trcatm_c14.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/C14/trcatm_c14.F90	(revision 9124)
@@ -49,5 +49,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('trc_atm_c14_ini')
+      IF( ln_timing )   CALL timing_start('trc_atm_c14_ini')
       !
       
@@ -192,5 +192,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('trc_atm_c14_ini')
+      IF( ln_timing )   CALL timing_stop('trc_atm_c14_ini')
       !
    END SUBROUTINE trc_atm_c14_ini
@@ -216,5 +216,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('trc_atm_c14')
+      IF( ln_timing )   CALL timing_start('trc_atm_c14')
       !
       IF( kc14typ == 0) THEN
@@ -297,5 +297,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('trc_atm_c14')
+      IF( ln_timing )   CALL timing_stop('trc_atm_c14')
       !
    END SUBROUTINE trc_atm_c14
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/C14/trcsms_c14.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/C14/trcsms_c14.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/C14/trcsms_c14.F90	(revision 9124)
@@ -28,5 +28,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $                                                                    $ 
+   !! $Id:$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -60,5 +60,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('trc_sms_c14')
+      IF( ln_timing )   CALL timing_start('trc_sms_c14')
       !
       IF( kt ==  nittrc000 ) THEN
@@ -68,5 +68,4 @@
       ENDIF
       !
- 
       ! Get co2sbc & c14sbc(ji,jj): at 1st iter for all, at each time step for transient
       IF( kc14typ >= 1 .OR.  kt ==  nittrc000 )   CALL trc_atm_c14( kt, co2sbc, c14sbc ) 
@@ -80,8 +79,8 @@
       DO jj = 1, jpj
          DO ji = 1, jpi  
-            IF( tmask(ji,jj,1) >  0.) THEN
-
-               zt   = MIN( 40., tsn(ji,jj,1,jp_tem))
-
+            IF( tmask(ji,jj,1) >  0. ) THEN
+               !
+               zt   = MIN( 40. , tsn(ji,jj,1,jp_tem) )
+               !
                !  Computation of solubility zsol in [mol/(L * atm)]
                !   after Wanninkhof (2014) referencing Weiss (1974)
@@ -143,5 +142,4 @@
          END DO
       END DO
-
       !
       IF( lrst_trc ) THEN
@@ -149,5 +147,5 @@
          IF(lwp) WRITE(numout,*) ' trc_rst_wri_c14 : Write specific variables from c14 model '
          IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
-      !
+         !
          CALL iom_rstput( kt, nitrst, numrtw, 'co2sbc', co2sbc )       ! These five need      &
          CALL iom_rstput( kt, nitrst, numrtw, 'c14sbc', c14sbc )     ! &    to be written   &
@@ -156,14 +154,13 @@
          CALL iom_rstput( kt, nitrst, numrtw, 'qtr_c14', qtr_c14 )   ! &    to be coherent.
          CALL iom_rstput( kt, nitrst, numrtw, 'qint_c14', qint_c14 ) ! Cumulative
-      !
+         !
       ENDIF
 
       IF( l_trdtrc )  CALL trd_trc( tra(:,:,:,jp_c14), 1, jptra_sms, kt )   ! save trends
       !
-      IF( nn_timing == 1 )  CALL timing_stop('trc_sms_c14')
+      IF( ln_timing )   CALL timing_stop('trc_sms_c14')
       !
    END SUBROUTINE trc_sms_c14
 
-
   !!======================================================================
 END MODULE trcsms_c14
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 9124)
@@ -85,6 +85,5 @@
       !!----------------------------------------------------------------------
       !
-      !
-      IF( nn_timing == 1 )  CALL timing_start('trc_sms_cfc')
+      IF( ln_timing )   CALL timing_start('trc_sms_cfc')
       !
       ALLOCATE( zpatm(jphem,jp_cfc), STAT=ierr )
@@ -194,5 +193,5 @@
       END IF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('trc_sms_cfc')
+      IF( ln_timing )   CALL timing_stop('trc_sms_cfc')
       !
    END SUBROUTINE trc_sms_cfc
@@ -205,5 +204,5 @@
       !! ** Purpose : sets constants for CFC model
       !!---------------------------------------------------------------------
-      INTEGER :: jn
+      INTEGER ::   jn   !
       !!----------------------------------------------------------------------
       !
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcsms_my_trc.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcsms_my_trc.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcsms_my_trc.F90	(revision 9124)
@@ -46,5 +46,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('trc_sms_my_trc')
+      IF( ln_timing )   CALL timing_start('trc_sms_my_trc')
       !
       IF(lwp) WRITE(numout,*)
@@ -67,7 +67,8 @@
       END IF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('trc_sms_my_trc')
+      IF( ln_timing )   CALL timing_stop('trc_sms_my_trc')
       !
    END SUBROUTINE trc_sms_my_trc
+
 
    INTEGER FUNCTION trc_sms_my_trc_alloc()
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zbio.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zbio.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zbio.F90	(revision 9124)
@@ -101,5 +101,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p2z_bio')
+      IF( ln_timing )   CALL timing_start('p2z_bio')
       !
       IF( lk_iomput ) THEN
@@ -382,7 +382,8 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p2z_bio')
+      IF( ln_timing )  CALL timing_stop('p2z_bio')
       !
    END SUBROUTINE p2z_bio
+
 
    SUBROUTINE p2z_bio_init
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zexp.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zexp.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zexp.F90	(revision 9124)
@@ -68,5 +68,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p2z_exp')
+      IF( ln_timing )   CALL timing_start('p2z_exp')
       !
       IF( kt == nittrc000 )   CALL p2z_exp_init
@@ -155,7 +155,8 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p2z_exp')
+      IF( ln_timing )  CALL timing_stop('p2z_exp')
       !
    END SUBROUTINE p2z_exp
+
 
    SUBROUTINE p2z_exp_init
@@ -166,8 +167,8 @@
       INTEGER  ::   ji, jj, jk
       REAL(wp) ::   zmaskt, zfluo, zfluu
-      REAL(wp), POINTER, DIMENSION(:,:  ) :: zrro
-      REAL(wp), POINTER, DIMENSION(:,:,:) :: zdm0
-      !!---------------------------------------------------------------------
-
+      REAL(wp), POINTER, DIMENSION(:,:  ) ::   zrro
+      REAL(wp), POINTER, DIMENSION(:,:,:) ::   zdm0
+      !!---------------------------------------------------------------------
+      !
       IF(lwp) THEN
          WRITE(numout,*)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zopt.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zopt.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zopt.F90	(revision 9124)
@@ -11,4 +11,6 @@
    !!             3.2  !  2009-04  (C. Ethe, G. Madec)  minor optimisation + style
    !!----------------------------------------------------------------------
+
+   !!----------------------------------------------------------------------
    !!   p2z_opt        :   Compute the light availability in the water column
    !!----------------------------------------------------------------------
@@ -69,5 +71,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p2z_opt')
+      IF( ln_timing )   CALL timing_start('p2z_opt')
       !
       ! Allocate temporary workspace
@@ -143,5 +145,5 @@
       CALL wrk_dealloc( jpi, jpj, jpk, zparr, zparg    )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p2z_opt')
+      IF( ln_timing )   CALL timing_stop('p2z_opt')
       !
    END SUBROUTINE p2z_opt
@@ -157,7 +159,8 @@
       !!
       !!----------------------------------------------------------------------
+      INTEGER ::   ios   ! Local integer
+      !!
       NAMELIST/namlobopt/ xkg0, xkr0, xkgp, xkrp, xlg, xlr, rpig
       NAMELIST/namlobrat/ rcchl, redf, reddom
-      INTEGER :: ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
 
@@ -168,5 +171,5 @@
       REWIND( numnatp_cfg )              ! Namelist namlobopt in configuration namelist : Lobster options
       READ  ( numnatp_cfg, namlobopt, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobopt in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namlobopt in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, namlobopt )
 
@@ -190,5 +193,5 @@
       REWIND( numnatp_cfg )              ! Namelist namlobrat in configuration namelist : Lobster ratios
       READ  ( numnatp_cfg, namlobrat, IOSTAT = ios, ERR = 904 )
-904   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobrat in configuration namelist', lwp )
+904   IF( ios >  0 ) CALL ctl_nam ( ios , 'namlobrat in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, namlobrat )
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsed.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsed.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsed.F90	(revision 9124)
@@ -35,5 +35,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -56,7 +55,6 @@
       !!              trend of passive tracers is saved for futher diagnostics.
       !!---------------------------------------------------------------------
-      !!
       INTEGER, INTENT( in ) ::   kt      ! ocean time-step index      
-      !!
+      !
       INTEGER  ::   ji, jj, jk, jl, ierr
       CHARACTER (len=25) :: charout
@@ -65,5 +63,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p2z_sed')
+      IF( ln_timing )   CALL timing_start('p2z_sed')
       !
       IF( kt == nittrc000 ) THEN
@@ -119,7 +117,8 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p2z_sed')
+      IF( ln_timing )   CALL timing_stop('p2z_sed')
       !
    END SUBROUTINE p2z_sed
+
 
    SUBROUTINE p2z_sed_init
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsms.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsms.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsms.F90	(revision 9124)
@@ -6,4 +6,6 @@
    !! History :   1.0  !            M. Levy
    !!             2.0  !  2007-12  (C. Ethe, G. Madec)  revised architecture
+   !!----------------------------------------------------------------------
+
    !!----------------------------------------------------------------------
    !!   p2zsms        :  Time loop of passive tracers sms
@@ -42,11 +44,10 @@
       !! ** Method  : - ???
       !! --------------------------------------------------------------------
-      !!
       INTEGER, INTENT( in ) ::   kt      ! ocean time-step index      
       !
-      INTEGER :: jn
+      INTEGER ::   jn   ! dummy loop index
       !! --------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p2z_sms')
+      IF( ln_timing )   CALL timing_start('p2z_sms')
       !
       CALL p2z_opt( kt )      ! optical model
@@ -54,5 +55,5 @@
       CALL p2z_sed( kt )      ! sedimentation model
       CALL p2z_exp( kt )      ! export
-
+      !
       IF( l_trdtrc ) THEN
          DO jn = jp_pcs0, jp_pcs1
@@ -60,8 +61,7 @@
          END DO
       END IF
-
       !
       IF ( lwm .AND. kt == nittrc000 ) CALL FLUSH    ( numonp )     ! flush output namelist PISCES
-      IF( nn_timing == 1 )  CALL timing_stop('p2z_sms')
+      IF( ln_timing )   CALL timing_stop('p2z_sms')
       !
    END SUBROUTINE p2z_sms
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zagg.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zagg.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zagg.F90	(revision 9124)
@@ -10,4 +10,5 @@
    !!             3.6  !  2015-05  (O. Aumont) PISCES quota
    !!----------------------------------------------------------------------
+
    !!----------------------------------------------------------------------
    !!   p4z_agg       :  Compute aggregation of particles
@@ -38,5 +39,6 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      INTEGER, INTENT(in) :: kt, knt
+      INTEGER, INTENT(in) ::   kt, knt   !
+      !
       INTEGER  ::   ji, jj, jk
       REAL(wp) ::   zagg, zagg1, zagg2, zagg3, zagg4
@@ -49,6 +51,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_agg')
-
+      IF( ln_timing )   CALL timing_start('p4z_agg')
       !
       !  Exchange between organic matter compartments due to coagulation/disaggregation
@@ -178,5 +179,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_agg')
+      IF( ln_timing )   CALL timing_stop('p4z_agg')
       !
    END SUBROUTINE p4z_agg
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zbio.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zbio.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zbio.F90	(revision 9124)
@@ -56,10 +56,10 @@
       !!---------------------------------------------------------------------
       INTEGER, INTENT(in) :: kt, knt
+      !
       INTEGER             :: ji, jj, jk, jn
       CHARACTER (len=25) :: charout
-
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_bio')
+      IF( ln_timing )   CALL timing_start('p4z_bio')
       !
       !     ASSIGN THE SHEAR RATE THAT IS USED FOR AGGREGATION
@@ -112,5 +112,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_bio')
+      IF( ln_timing )   CALL timing_stop('p4z_bio')
       !
    END SUBROUTINE p4z_bio
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zche.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zche.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zche.F90	(revision 9124)
@@ -155,8 +155,7 @@
       REAL(wp) ::   zst  , zft  , zcks  , zckf  , zaksp1
       REAL(wp) ::   total2free, free2SWS, total2SWS, SWS2total
-
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_che')
+      IF( ln_timing )   CALL timing_start('p4z_che')
       !
       ! Computation of chemical constants require practical salinity
@@ -447,7 +446,8 @@
       END DO
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_che')
+      IF( ln_timing )  CALL timing_stop('p4z_che')
       !
    END SUBROUTINE p4z_che
+
 
    SUBROUTINE ahini_for_at(p_hini)
@@ -470,6 +470,7 @@
       REAL(wp)  ::  za2, za1, za0
       REAL(wp)  ::  p_dictot, p_bortot, p_alkcb 
-
-      IF( nn_timing == 1 )  CALL timing_start('ahini_for_at')
+      !!---------------------------------------------------------------------
+
+      IF( ln_timing )  CALL timing_start('ahini_for_at')
       !
       DO jk = 1, jpk
@@ -512,9 +513,10 @@
       END DO
       !
-      IF( nn_timing == 1 )  CALL timing_stop('ahini_for_at')
+      IF( ln_timing )  CALL timing_stop('ahini_for_at')
       !
    END SUBROUTINE ahini_for_at
 
    !===============================================================================
+
    SUBROUTINE anw_infsup( p_alknw_inf, p_alknw_sup )
 
@@ -564,5 +566,5 @@
    REAL(wp), POINTER, DIMENSION(:,:,:) :: zalknw_inf, zalknw_sup, rmask, zh_min, zh_max, zeqn_absmin
 
-   IF( nn_timing == 1 )  CALL timing_start('solve_at_general')
+   IF( ln_timing )  CALL timing_start('solve_at_general')
       !  Allocate temporary workspace
    CALL wrk_alloc( jpi, jpj, jpk, zalknw_inf, zalknw_sup, rmask )
@@ -801,8 +803,8 @@
 
 
-   IF( nn_timing == 1 )  CALL timing_stop('solve_at_general')
-
-
+      IF( ln_timing )   CALL timing_stop('solve_at_general')
+      !
    END SUBROUTINE solve_at_general
+
 
    INTEGER FUNCTION p4z_che_alloc()
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zfechem.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zfechem.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zfechem.F90	(revision 9124)
@@ -79,5 +79,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_fechem')
+      IF( ln_timing )   CALL timing_start('p4z_fechem')
       !
       ! Allocate temporary workspace
@@ -366,5 +366,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_fechem')
+      IF( ln_timing )   CALL timing_stop('p4z_fechem')
       !
    END SUBROUTINE p4z_fechem
@@ -383,6 +383,8 @@
       !!
       !!----------------------------------------------------------------------
+      INTEGER ::   ios   ! Local integer 
+      !!
       NAMELIST/nampisfer/ ln_fechem, ln_ligvar, ln_fecolloid, xlam1, xlamdust, ligand, kfep 
-      INTEGER :: ios                 ! Local integer output status for namelist read
+      !!----------------------------------------------------------------------
 
       REWIND( numnatp_ref )              ! Namelist nampisfer in reference namelist : Pisces iron chemistry
@@ -392,5 +394,5 @@
       REWIND( numnatp_cfg )              ! Namelist nampisfer in configuration namelist : Pisces iron chemistry
       READ  ( numnatp_cfg, nampisfer, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisfer in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampisfer in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, nampisfer )
 
@@ -434,4 +436,5 @@
       !
    END SUBROUTINE p4z_fechem_init
+   
    !!======================================================================
 END MODULE p4zfechem
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zflx.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zflx.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zflx.F90	(revision 9124)
@@ -83,5 +83,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_flx')
+      IF( ln_timing )   CALL timing_start('p4z_flx')
       !
       CALL wrk_alloc( jpi, jpj, zkgco2, zkgo2, zh2co3, zoflx, zpco2atm )
@@ -216,5 +216,5 @@
       CALL wrk_dealloc( jpi, jpj, zkgco2, zkgo2, zh2co3, zoflx, zpco2atm )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_flx')
+      IF( ln_timing )   CALL timing_stop('p4z_flx')
       !
    END SUBROUTINE p4z_flx
@@ -231,7 +231,8 @@
       !! ** input   :   Namelist nampisext
       !!----------------------------------------------------------------------
+      INTEGER ::   jm
+      INTEGER ::   ios   ! Local integer 
+      !
       NAMELIST/nampisext/ln_co2int, atcco2, clname, nn_offset
-      INTEGER :: jm
-      INTEGER :: ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
       !
@@ -243,5 +244,5 @@
       REWIND( numnatp_cfg )              ! Namelist nampisext in configuration namelist : Pisces atm. conditions
       READ  ( numnatp_cfg, nampisext, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisext in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampisext in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, nampisext )
       !
@@ -292,5 +293,4 @@
          ENDIF
       ENDIF
-
       !
       oce_co2(:,:)  = 0._wp                ! Initialization of Flux of Carbon
@@ -302,6 +302,6 @@
    END SUBROUTINE p4z_flx_init
 
+
    SUBROUTINE p4z_patm( kt )
-
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE p4z_atm  ***
@@ -311,5 +311,4 @@
       !!
       !!----------------------------------------------------------------------
-      !! * arguments
       INTEGER, INTENT( in  ) ::   kt   ! ocean time step
       !
@@ -321,4 +320,5 @@
       !!
       NAMELIST/nampisatm/ ln_presatm, ln_presatmco2, sn_patm, sn_atmco2, cn_dir
+      !!----------------------------------------------------------------------
 
       !                                         ! ----------------------- !
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zint.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zint.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zint.F90	(revision 9124)
@@ -33,5 +33,4 @@
       !!
       !!---------------------------------------------------------------------
-      !
       INTEGER, INTENT( in ) ::   kt      ! ocean time-step index
       !
@@ -40,5 +39,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_int')
+      IF( ln_timing )   CALL timing_start('p4z_int')
       !
       ! Computation of phyto and zoo metabolic rate
@@ -61,5 +60,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_int')
+      IF( ln_timing )   CALL timing_stop('p4z_int')
       !
    END SUBROUTINE p4z_int
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zligand.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zligand.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zligand.F90	(revision 9124)
@@ -50,5 +50,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_ligand')
+      IF( ln_timing )   CALL timing_start('p4z_ligand')
       !
       ! ------------------------------------------------------------------
@@ -75,5 +75,4 @@
       ! Dissolution of nanoparticle Fe
       ! ----------------------------------------------------------
-
       DO jk = 1, jpkm1
          DO jj = 1, jpj
@@ -97,5 +96,5 @@
        ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_ligand')
+      IF( ln_timing )   CALL timing_stop('p4z_ligand')
       !
    END SUBROUTINE p4z_ligand
@@ -114,6 +113,8 @@
       !!
       !!----------------------------------------------------------------------
+      INTEGER ::   ios   ! Local integer 
+      !
       NAMELIST/nampislig/ rlgw, prlgw, rlgs, rfep, rlig
-      INTEGER :: ios                 ! Local integer output status for namelist read
+      !!----------------------------------------------------------------------
 
       REWIND( numnatp_ref )              ! Namelist nampislig in reference namelist : Pisces remineralization
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlim.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlim.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlim.F90	(revision 9124)
@@ -72,5 +72,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -84,5 +83,4 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      !
       INTEGER, INTENT(in)  :: kt, knt
       !
@@ -95,5 +93,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_lim')
+      IF( ln_timing )   CALL timing_start('p4z_lim')
       !
       DO jk = 1, jpkm1
@@ -224,10 +222,10 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_lim')
+      IF( ln_timing )   CALL timing_stop('p4z_lim')
       !
    END SUBROUTINE p4z_lim
 
+
    SUBROUTINE p4z_lim_init
-
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE p4z_lim_init  ***
@@ -241,19 +239,20 @@
       !!
       !!----------------------------------------------------------------------
-
+      INTEGER ::   ios   ! Local integer
+      !
       NAMELIST/namp4zlim/ concnno3, concdno3, concnnh4, concdnh4, concnfer, concdfer, concbfe,   &
          &                concbno3, concbnh4, xsizedia, xsizephy, xsizern, xsizerd,          & 
          &                xksi1, xksi2, xkdoc, qnfelim, qdfelim, caco3r, oxymin
-      INTEGER :: ios                 ! Local integer output status for namelist read
-
+      !!----------------------------------------------------------------------
+      !
       REWIND( numnatp_ref )              ! Namelist nampislim in reference namelist : Pisces nutrient limitation parameters
       READ  ( numnatp_ref, namp4zlim, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp4zlim in reference namelist', lwp )
-
+      !
       REWIND( numnatp_cfg )              ! Namelist nampislim in configuration namelist : Pisces nutrient limitation parameters 
       READ  ( numnatp_cfg, namp4zlim, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp4zlim in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp4zlim in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, namp4zlim )
-
+      !
       IF(lwp) THEN                         ! control print
          WRITE(numout,*) ' '
@@ -286,4 +285,5 @@
    END SUBROUTINE p4z_lim_init
 
+
    INTEGER FUNCTION p4z_lim_alloc()
       !!----------------------------------------------------------------------
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlys.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlys.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlys.F90	(revision 9124)
@@ -65,5 +65,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p4z_lys')
+      IF( ln_timing )  CALL timing_start('p4z_lys')
       !
       CALL wrk_alloc( jpi, jpj, jpk, zco3, zcaldiss, zhinit, zhi, zco3sat )
@@ -141,10 +141,10 @@
       CALL wrk_dealloc( jpi, jpj, jpk, zco3, zcaldiss, zhinit, zhi, zco3sat )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p4z_lys')
+      IF( ln_timing )   CALL timing_stop('p4z_lys')
       !
    END SUBROUTINE p4z_lys
 
+
    SUBROUTINE p4z_lys_init
-
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE p4z_lys_init  ***
@@ -158,18 +158,18 @@
       !!
       !!----------------------------------------------------------------------
-      INTEGER  ::  ios                 ! Local integer output status for namelist read
-
+      INTEGER ::   ios   ! Local integer
+      !
       NAMELIST/nampiscal/ kdca, nca
       !!----------------------------------------------------------------------
-
+      !
       REWIND( numnatp_ref )              ! Namelist nampiscal in reference namelist : Pisces CaCO3 dissolution
       READ  ( numnatp_ref, nampiscal, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampiscal in reference namelist', lwp )
-
+      !
       REWIND( numnatp_cfg )              ! Namelist nampiscal in configuration namelist : Pisces CaCO3 dissolution
       READ  ( numnatp_cfg, nampiscal, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampiscal in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampiscal in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, nampiscal )
-
+      !
       IF(lwp) THEN                         ! control print
          WRITE(numout,*) ' '
@@ -179,5 +179,5 @@
          WRITE(numout,*) '    order of reaction for calcite dissolution nca       =', nca
       ENDIF
-
+      !
       ! Number of seconds per month 
       rmtss =  nyear_len(1) * rday / raamo
